%define upstream_name    File-Find-Rule-Age
%define upstream_version 0.302

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Rule to match on file age
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Touch)
BuildRequires: perl(File::stat)
BuildRequires: perl(FindBin)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
File::Find::Rule::Age makes it easy to search for files based on their age.
DateTime and File::stat are used to do the behind the scenes work, with
File::Find::Rule doing the Heavy Lifting.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.302.0-3.mga10
+ Revision: 2216123
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.302.0-2.mga9
+ Revision: 1813558
- Mageia 9 Mass Rebuild

* Wed Oct 28 2020 tv <tv> 0.302.0-1.mga8
+ Revision: 1640066
- imported package perl-File-Find-Rule-Age


* Wed Oct 28 2020 cpan2dist 0.302-1mga
- initial mageia release, generated with cpan2dist
